#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 tree-diff
version:              0.3.0.1
visibility:           public
id:                   tree-diff-0.3.0.1-KhVpVMsQsGo1z0EDv3HqUF
key:                  tree-diff-0.3.0.1-KhVpVMsQsGo1z0EDv3HqUF
license:              GPL-2.0-or-later
copyright:            (c) 2017-2021 Oleg Grenrus
maintainer:           Oleg.Grenrus <oleg.grenrus@iki.fi>
author:               Oleg Grenrus <oleg.grenrus@iki.fi>
homepage:             https://github.com/phadej/tree-diff
synopsis:             Diffing of (expression) trees.
description:
    Common diff algorithm works on list structures:

    @
    diff :: Eq a => [a] -> [a] -> [Edit a]
    @

    This package works on trees.

    @
    treeDiff :: Eq a => Tree a -> Tree a -> Edit (EditTree a)
    @

    This package also provides a way to diff arbitrary ADTs,
    using @Generics@-derivable helpers.

    This package differs from <http://hackage.haskell.org/package/gdiff gdiff>,
    in a two ways: @tree-diff@ doesn'\''t have patch function,
    and the "edit-script" is a tree itself, which is useful for pretty-printing.

    @
    >>> prettyEditExpr $ ediff (Foo 42 [True, False] "old") (Foo 42 [False, False, True] "new")
    Foo
    \  {fooBool = [-True, +False, False, +True],
    \   fooInt = 42,
    \   fooString = -"old" +"new"}
    @

category:             Data, Testing
abi:                  b1ae56d7220328fbef98a0e7505beb1e
exposed:              True
exposed-modules:
    Data.TreeDiff Data.TreeDiff.Class Data.TreeDiff.Expr
    Data.TreeDiff.Golden Data.TreeDiff.List Data.TreeDiff.OMap
    Data.TreeDiff.Parser Data.TreeDiff.Pretty Data.TreeDiff.QuickCheck
    Data.TreeDiff.Tree

import-dirs:          /usr/lib/ghc-9.2.8/site-local/tree-diff-0.3.0.1
library-dirs:         /usr/lib/ghc-9.2.8/site-local/tree-diff-0.3.0.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-tree-diff
hs-libraries:         HStree-diff-0.3.0.1-KhVpVMsQsGo1z0EDv3HqUF
depends:
    QuickCheck-2.14.3-ETIaN96hws5IxTx9oCxxHN
    aeson-2.1.2.1-9T6l6SxZl5u1C3PaFHxalW
    ansi-terminal-0.11.5-BXgCGsu4GW1KcVdL1gczJe
    ansi-wl-pprint-0.6.9-9HcRzhCINvz7vGuGUvJiEZ base-4.16.4.0
    base-compat-0.12.2-5hQPtIjgG5LKnb20qwjRWd bytestring-0.11.4.0
    containers-0.6.5.1 data-array-byte-0.1.0.1-518ndQHq0IT3f7Oa5ANC8F
    deepseq-1.4.6.1 hashable-1.4.4.0-JynHLbpSPE72B4j6uWctY4
    parsec-3.1.15.0 parsers-0.12.11-AcKfnzzUNRk9LnNDMdjvtx
    pretty-1.1.3.6 primitive-0.7.4.0-6AwD3HztCbd2gLkP35eH21
    scientific-0.3.7.0-JDywD8dnuxJJkMv2HmTQaQ
    semialign-1.2.0.1-861eOh4XGKfFFHqyepXn62
    strict-0.4.0.1-3kl6Mb4WL7Z1cVPaHoDW8V
    tagged-0.8.9-KXBukbFHRBNBMyyfjfj7aP text-1.2.5.0
    these-1.1.1.1-1B7eS7MGFTE17tSPLNWNly time-1.11.1.1
    unordered-containers-0.2.20-AzoOiKjV26Z32LkoSmNfI7
    uuid-types-1.0.5.1-Am8doqYfzTb18DnxZzBlHL
    vector-0.13.1.0-JX40x5KeA95953did9SvPW

haddock-interfaces:   /usr/share/doc/haskell-tree-diff/html/tree-diff.haddock
haddock-html:         /usr/share/doc/haskell-tree-diff/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

